Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 261147 - dev-lang/squeak: uses -Werror during build and fails with _FORTIFY_SOURCE=2
Summary: dev-lang/squeak: uses -Werror during build and fails with _FORTIFY_SOURCE=2
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Luis Araujo (RETIRED)
URL: http://blog.flameeyes.eu/2009/02/25/f...
Whiteboard:
Keywords:
Depends on:
Blocks: fortify-source werror
  Show dependency tree
 
Reported: 2009-03-04 10:51 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-08-10 15:46 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (squeak-3.10:20090304-072320.log,181.42 KB, text/plain)
2009-03-04 10:52 UTC, Diego Elio Pettenò (RETIRED)
Details
Remove -Werror in platforms/unix/vm-display-fbdev/Makefile.in (squeak_remove_Werror.patch,405 bytes, patch)
2009-03-10 22:59 UTC, Magnus Granberg
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-03-04 10:51:15 UTC
Hello,

you're receiving this canned bug because the package in summary uses the flag -Werror during build, which transforms warnings in errors, and is prone to break software when new GCC releases are added to Gentoo.

Please make sure your package does not use -Werror during build, so that it can be more future-proof for the new GCC releases.

Thanks,
Diego
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-03-04 10:52:04 UTC
Created attachment 183872 [details]
Build log
Comment 2 Magnus Granberg gentoo-dev 2009-03-10 22:59:42 UTC
Created attachment 184633 [details, diff]
Remove -Werror in platforms/unix/vm-display-fbdev/Makefile.in
Comment 3 Víctor Ostorga (RETIRED) gentoo-dev 2009-08-10 15:46:05 UTC
Fixed in =dev-lang/squeak-3.10